Index: branches/BNC_2.12/src/rinex/reqcedit.cpp
===================================================================
--- branches/BNC_2.12/src/rinex/reqcedit.cpp	(revision 7941)
+++ branches/BNC_2.12/src/rinex/reqcedit.cpp	(revision 7983)
@@ -643,31 +643,41 @@
   int key = 0;
   QString systems = obsFile->header().usedSystems();
-  QString comment = QString("RINEX 3 => 2 CONVERSION DETAILS:");
+  QString comment = QString("Signal priorities for RINEX 3 => 2 conversion:");
   QString commentKey = QString("COMMENT %1").arg(key, 3, 10, QChar('0'));
   txtMap.insert(commentKey, comment);
 
   for(int ii = 0; ii < obsFile->numSys(); ii++) {
-    key++;
     char sys = systems[ii].toAscii();
-    QString preferredAttrib = obsFile->signalPriorities(sys);
-    comment = QString("%1: Signal priority = %2").arg(sys).arg(preferredAttrib);
-    commentKey = QString("COMMENT %1").arg(key, 3, 10, QChar('0'));
     txtMap.insert(commentKey, comment);
+    QMap <char, QString>  signalPriorityMap;
+    QStringList preferredAttribListSys = obsFile->signalPriorities(sys);
     QStringList types = obsFile->header().obsTypes(sys);
     for (int jj = 0; jj < types.size(); jj++) {
-      key++;
       QString inType = types[jj];
-      for (int iPref = 0; iPref < preferredAttrib.length(); iPref++) {
-        if (preferredAttrib[iPref] == '?'                             ||
-            (inType.length() == 2 && preferredAttrib[iPref] == '_'    ) ||
-            (inType.length() == 3 && preferredAttrib[iPref] == inType[2]) ) {
-          QString outType = t_rnxObsFile::type3to2(sys, inType);
-          comment = QString("%1: %2 => %3").arg(sys).arg(inType).arg(outType);
-          commentKey = QString("COMMENT %1").arg(key, 3, 10, QChar('0'));
-          txtMap.insert(commentKey, comment);
-          break;
-        }
-      }
-    }
-  }
-}
+      char band = inType[1].toAscii();
+      for (int ii = 0; ii < preferredAttribListSys.size(); ii++) {
+        QString preferredAttrib;
+        if (preferredAttribListSys[ii].indexOf("&") != -1) {
+          QStringList hlp = preferredAttribListSys[ii].split("&", QString::SkipEmptyParts);
+          if (hlp.size() == 2 && hlp[0].contains(band)) {
+            preferredAttrib = hlp[1];
+          }
+        }
+        else {
+          preferredAttrib = preferredAttribListSys[ii];
+        }
+        if (!signalPriorityMap.contains(band) && !preferredAttrib.isEmpty()){
+          signalPriorityMap[band] = preferredAttrib;
+        }
+      }
+    }
+    QMapIterator<char, QString> it(signalPriorityMap);
+    while (it.hasNext()) {
+        it.next();
+        key++;
+        comment = QString("%1 band %2: %3").arg(sys).arg(it.key()).arg(it.value());
+        commentKey = QString("COMMENT %1").arg(key, 3, 10, QChar('0'));
+        txtMap.insert(commentKey, comment);
+    }
+  }
+}
Index: branches/BNC_2.12/src/rinex/rnxobsfile.cpp
===================================================================
--- branches/BNC_2.12/src/rinex/rnxobsfile.cpp	(revision 7941)
+++ branches/BNC_2.12/src/rinex/rnxobsfile.cpp	(revision 7983)
@@ -1273,5 +1273,4 @@
   }
 }
-
 // Write Data Epoch (RINEX Version 2)
 ////////////////////////////////////////////////////////////////////////////
@@ -1303,9 +1302,8 @@
   }
   *stream << endl;
+  
   for (unsigned iSat = 0; iSat < epo->rnxSat.size(); iSat++) {
-
     const t_rnxSat& rnxSat = epo->rnxSat[iSat];
     char            sys    = rnxSat.prn.system();
-
     for (int iTypeV2 = 0; iTypeV2 < header.nTypes(sys); iTypeV2++) {
       if (iTypeV2 > 0 && iTypeV2 % 5 == 0) {
@@ -1314,7 +1312,19 @@
       QString typeV2 = header.obsType(sys, iTypeV2);
       bool    found  = false;
-
-      QString preferredAttrib = signalPriorities(sys);
-      for (int iPref = 0; iPref < preferredAttrib.length(); iPref++) {
+      QStringList preferredAttribList = signalPriorities(sys);
+      QString preferredAttrib;
+      for (int ii = 0; ii < preferredAttribList.size(); ii++) {
+        if (preferredAttribList[ii].indexOf("&") != -1) {
+          QStringList hlp = preferredAttribList[ii].split("&", QString::SkipEmptyParts);
+          if (hlp.size() == 2 && hlp[0].contains(typeV2[1])) {
+            preferredAttrib = hlp[1];
+          }
+        }
+        else {
+          preferredAttrib = preferredAttribList[ii];
+        }
+      }
+
+      for (int iPref = 0; iPref < preferredAttribList.size(); iPref++) {
         QMapIterator<QString, t_rnxObs> itObs(rnxSat.obs);
         while (itObs.hasNext()) {
@@ -1358,4 +1368,5 @@
 }
 
+
 // Write Data Epoch (RINEX Version 3)
 ////////////////////////////////////////////////////////////////////////////
@@ -1545,8 +1556,8 @@
 // Tracking Mode Priorities
 ////////////////////////////////////////////////////////////////////////////
-QString t_rnxObsFile::signalPriorities(char sys) {
+QStringList t_rnxObsFile::signalPriorities(char sys) {
 
   bncSettings settings;
-
+  
   QStringList priorList;
   QString reqcAction = settings.value("reqcAction").toString();
@@ -1555,5 +1566,5 @@
   // ---------------------------------------------------
   if (reqcAction == "Edit/Concatenate") {
-  priorList = settings.value("reqcV2Priority").toString().split(" ", QString::SkipEmptyParts);
+    priorList = settings.value("reqcV2Priority").toString().split(" ", QString::SkipEmptyParts);
   }
 
@@ -1561,25 +1572,45 @@
   // ----------------------------
   else {
-  priorList = settings.value("rnxV2Priority").toString().split(" ", QString::SkipEmptyParts);
-  }
-
-  if (priorList.empty()) {
-    priorList << "CWPX_?";
-  }
-
-  QString result;
+    priorList = settings.value("rnxV2Priority").toString().split(" ", QString::SkipEmptyParts);
+  }
+
+  QStringList result;
   for (int ii = 0; ii < priorList.size(); ii++) {
     if (priorList[ii].indexOf(":") != -1) {
       QStringList hlp = priorList[ii].split(":", QString::SkipEmptyParts);
       if (hlp.size() == 2 && hlp[0].length() == 1 && hlp[0][0] == sys) {
-        result = hlp[1];
+        result.append(hlp[1]);
+      }
+    }
+    else {
+      result.append(priorList[ii]);
+    }
+  }
+
+  if (result.empty()) {
+    switch (sys) {
+      case 'G':
+        result << "G:12&PWCSLXYN G:5&IQX";
         break;
-      }
-    }
-    else {
-      result = priorList[ii];
-    }
-  }
-
+      case 'R':
+        result << "R:12&PC R:3&IQX";
+        break;
+      case 'E':
+        result << "E:16&BCX E:578&IQX";
+        break;
+      case 'J':
+        result << "J:1&SLXCZ J:26&SLX J:5&IQX";
+        break;
+      case 'C':
+        result << "C:IQX";
+        break;
+      case 'I':
+        result << "I:ABCX";
+        break;
+      case 'S':
+        result << "S:1&C S:5&IQX";
+        break;
+    }
+  }
   return result;
 }
Index: branches/BNC_2.12/src/rinex/rnxobsfile.h
===================================================================
--- branches/BNC_2.12/src/rinex/rnxobsfile.h	(revision 7941)
+++ branches/BNC_2.12/src/rinex/rnxobsfile.h	(revision 7983)
@@ -207,5 +207,5 @@
   static QString type2to3(char sys, const QString& typeV2);
   static QString type3to2(char sys, const QString& typeV3);
-  static QString signalPriorities(char sys);
+  static QStringList signalPriorities(char sys);
 
   static void writeEpoch(QTextStream* stream, const t_rnxObsHeader& header, const t_rnxEpo* epo) {